summaryrefslogtreecommitdiffstats
path: root/maven/make.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2012-11-06 20:57:33 +0100
committerSven Gothel <[email protected]>2012-11-06 21:16:30 +0100
commitbb3bb1247fb1fab05a85302dd9e5d57b769fcdbf (patch)
tree370c3efa0d2e4229feaa4ed8fdf8ad64d8660838 /maven/make.sh
parent4fd161240a1616382c1b1f744bf31d2a9489437e (diff)
Prepare repo merge
Diffstat (limited to 'maven/make.sh')
-rwxr-xr-xmaven/make.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/maven/make.sh b/maven/make.sh
new file mode 100755
index 0000000..496e35d
--- /dev/null
+++ b/maven/make.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+INPUT="input/jogamp-all-platforms"
+if [ ! -d "${INPUT}" ]
+then
+ echo "make: error: ${INPUT} is not an existing directory" 1>&2
+ echo "make: error: unpack jogamp-all-platforms.7z into 'input'" 1>&2
+ exit 1
+fi
+
+./make-directories.sh "${VERSION}" || exit 1
+./make-copy-jars.sh "${VERSION}" || exit 1
+./make-poms.sh "${VERSION}" || exit 1
+./make-copy-poms.sh "${VERSION}" || exit 1
+